function [ord_0, dord_0] = reconstructOrd0(q, n1, pad_t)
%% construct functions given parameters

%%
if nargin > 2
    q.N = pad_t * q.N;
    n1  = pad_t * n1;
end

%%
dord_0 = zeros(q.N, 1);

dord_0(  q.N/4 - n1) = 1;
dord_0(  q.N/4 + n1) = 1;
dord_0(3*q.N/4 - n1) = 1;
dord_0(3*q.N/4 + n1) = 1;
dord_0 = dord_0.*[ones(1,q.N/4), -ones(1,q.N/2), ones(1,q.N/4)]';

ord_0 = cumsum(dord_0); 

%%







